> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace code storefront source

> Developer API operation for PUT /dev/v1/code-storefronts/{id}/source.



## OpenAPI

````yaml /openapi.json put /dev/v1/code-storefronts/{id}/source
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/code-storefronts/{id}/source:
    put:
      tags:
        - Code Storefronts
      summary: Replace code storefront source
      description: Developer API operation for PUT /dev/v1/code-storefronts/{id}/source.
      operationId: putDevV1Code-storefrontsByIdSource
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - files
                - expected_source_revision
              properties:
                files:
                  type: array
                  minItems: 1
                  maxItems: 400
                  items:
                    type: object
                    required:
                      - path
                      - content_base64
                    properties:
                      path:
                        type: string
                        minLength: 1
                        maxLength: 512
                      content_base64:
                        type: string
                        maxLength: 8388608
                    additionalProperties: false
                expected_source_revision:
                  type: string
                  nullable: true
                  minLength: 1
                  maxLength: 200
                carry_over_unlisted:
                  type: boolean
                  default: false
              additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````